summaryrefslogtreecommitdiff
path: root/dev-ruby/stringex/stringex-2.8.5-r2.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-04-20 00:54:59 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-04-20 00:54:59 +0000
commit8c879bdbe7183ff61e3dac4c910a6b88ca534977 (patch)
tree2771dd597a5e86d97b1d2d1d0b8c8b22e8cb1479 /dev-ruby/stringex/stringex-2.8.5-r2.ebuild
parent6249d7cffe673a351f5acd08a3b154087db45479 (diff)
downloadsrcux-8c879bdbe7183ff61e3dac4c910a6b88ca534977.tar.gz
srcux-8c879bdbe7183ff61e3dac4c910a6b88ca534977.tar.xz
srcux-8c879bdbe7183ff61e3dac4c910a6b88ca534977.zip
Adding metadata
Diffstat (limited to 'dev-ruby/stringex/stringex-2.8.5-r2.ebuild')
-rw-r--r--dev-ruby/stringex/stringex-2.8.5-r2.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-ruby/stringex/stringex-2.8.5-r2.ebuild b/dev-ruby/stringex/stringex-2.8.5-r2.ebuild
new file mode 100644
index 000000000000..3cf725072051
--- /dev/null
+++ b/dev-ruby/stringex/stringex-2.8.5-r2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+inherit ruby-fakegem
+
+DESCRIPTION="Extensions for Ruby's String class"
+HOMEPAGE="https://github.com/rsl/stringex"
+LICENSE="MIT"
+
+SLOT="0"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="test"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/i18n:1
+ dev-ruby/redcloth
+ dev-ruby/test-unit:2
+ )"
+
+all_ruby_prepare() {
+ # Let tests work with newer rails versions
+ sed -i -e 's/update_attributes/update/' test/unit/acts_as_url/adapter/* || die
+}
+
+each_ruby_prepare() {
+ if has_version "dev-ruby/activerecord[ruby_targets_${_ruby_implementation},sqlite]" ; then
+ einfo "Testing activerecord integration"
+ else
+ rm -f test/unit/acts_as_url_integration_test.rb || die
+ fi
+}